#****************************************************************************************
#
#ARLDataminer.lua
#
#Datamining for all of AckisRecipeList
#
#$Date: 2008-09-02 16:53:15 -0400 (Tue, 02 Sep 2008) $
#$Rev: 81289 $
#
#****************************************************************************************


$LOAD_PATH << './DataMiner'
require "core.rb"
require "wowdb_maps.rb"
require "wowdb_recipes.rb"

class Test
  include JsonHelper
  def doit(d)
    from_json(d)
  end
end


recipes = WoWDBRecipes.new

# Get the alchemy recipes
alchemy = recipes.get_alchemy_list

# Parse all alchemy recipes
alchemy.each_pair do |name,data|

	recipedetail = alchemy[name]
	recipes.add_recipe_details(recipedetail)
	#p name
	#p data

	# Create a new empty array to store all the filter flags
	filterlist = Array.new

	# Find out which type of recipe this is
	source = case data[:method]
		when 'sold-by,': 'L["Vendor"]'
		when 'taught-by,': 'L["Trainer"]'
		#when 'dropped-by,': result3
		else 'L["Unknown"]'
	end


	#source = data[:method_vendors].nil?() ? 'L["Unknown"]' : 'L["Trainer"]'
	#filterlist = data[:method_vendors].nil?() ? filterlist : filterlist << "1"


	skill = "0" 
		unless data[:skillup].nil? 
		skill = data[:skillup].first
	end

#	These flags are defined as:
#		-- ALLIANCE= Alliance faction only
#		-- HORDE = Horde faction only
#		-- 1 = Trainer
#		-- 2 = Vendor
#		-- 3 = Item BoE
#		-- 4 = Item BoP
#		-- 5 = Instance
#		-- 6 = Raid
#		-- 7 = Seasonal
#		-- 8 = Quest
#		-- 9 = PVP
#		-- 10 = cloth
#		-- 11 = leather
#		-- 12 = mail
#		-- 13 = plate
#		-- 14 = physical dps (melee/hunters)
#		-- 15 = tanking
#		-- 16 = healing
#		-- 17 = caster DPS
#		-- 18 = world drop
#		-- 19 = Recipe BoE
#		-- 20 = Recipe BoP
#		-- 21 = 1H
#		-- 22 = 2H
#		-- 23 = Cloak
#		-- 24 = Trinket
#		-- 25 = Ring
#		-- 26 = Necklace
#		-- 27 = Axe
#		-- 28 = Sword
#		-- 29 = Mace
#		-- 30 = Polearm
#		-- 31 = Dagger
#		-- 32 = Staff
#		-- 33 = Wand
#		-- 34 = Thrown
#		-- 35 = Bow
#		-- 36 = Crossbow
#		-- 37 = Ammo

	# Add type filter flags
	if data[:method] == "taught-by,"
		filterlist << "1"
	elsif data[:method] == "sold-by,"
		filterlist << "2"
	end

	$stdout.puts "self:addTradeSkillSpell(#{data[:id]}, #{skill}, #{source}, #{filterlist.join ','})"

end


# data = {:method_vendors=>[{:price=>[8000, 0, 0], :type=>7, :locs=>[440], :react=>[1, 1],
#      :desc=>"Alchemy Supplies", :name=>"Alchemist Pestlezugg", :minlevel=>45, :id=>5594}],
#   :learned=>200, :produces=>[3577], :skillup=>[200, 240, 260, 280], :method_drops=>[],
#   :rarity=>2, :method=>"sold-by,", :reagents=>[[3575, 1]], :id=>9304}
 

